> ## Documentation Index
> Fetch the complete documentation index at: https://docs.health-street.net/llms.txt
> Use this file to discover all available pages before exploring further.

# Query FeatureSet

> Retrieve a list of FeatureSets with a complex or simple query.



## OpenAPI

````yaml post /v2/query/glasscore/featureset
openapi: 3.1.0
info:
  version: 2.0.0
  title: Health Street API
  description: >-
    The Health Street API provides secure and reliable endpoints to manage drug
    tests, background checks, DNA checks, and occupational health tests.
servers:
  - url: https://api.glass.fm
security: []
paths:
  /v2/query/glasscore/featureset:
    post:
      tags:
        - FeatureSet
      summary: Query FeatureSet
      description: Retrieve a list of FeatureSets with a complex or simple query.
      operationId: QueryFeatureSet
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RequestBodySchema'
      responses:
        '200':
          description: A list of FeatureSets
          content:
            application/json:
              schema:
                type: object
                properties:
                  c_attributeField:
                    type: string
                    description: >-
                      Stores the characteristics or properties associated with a
                      specific feature in the FeatureSet.
                  default~FeatureId:
                    type: number
                    nullable: true
                    description: >-
                      Represents the unique identifier for the default feature
                      within a set of features.
                  descrip:
                    type: string
                    description: Description of record.
                  feature:
                    type: array
                    items:
                      type: object
                      properties:
                        attributeValue:
                          type: string
                          description: >-
                            Stores the specific property or characteristic of a
                            feature.
                        descrip:
                          type: string
                          description: Description of record.
                        FeatureSetId:
                          type: number
                          nullable: true
                          description: >-
                            Represents the unique identifier for a specific set
                            of features within the Feature table.
                        fee:
                          type: number
                          nullable: true
                          description: >-
                            Represents the cost associated with a particular
                            feature.
                        id:
                          type: number
                          description: Unique identifier.
                        isAddProduct:
                          type: boolean
                          nullable: true
                          description: >-
                            Indicates whether the feature to add a product is
                            enabled or not.
                        isSwapProduct:
                          type: boolean
                          nullable: true
                          description: >-
                            Indicates whether the product has the feature to be
                            exchanged with another.
                        name:
                          type: string
                          description: Name of feature.
                        SpecialFeatureId:
                          type: number
                          nullable: true
                          description: >-
                            Identifies the unique code associated with each
                            special feature in the Feature table.
                        swapAdd~ProductId:
                          type: number
                          nullable: true
                          description: >-
                            Identifies the product associated with a feature
                            that is being added in a swap operation.
                      required:
                        - attributeValue
                        - descrip
                        - FeatureSetId
                        - fee
                        - id
                        - isAddProduct
                        - isSwapProduct
                        - name
                        - SpecialFeatureId
                        - swapAdd~ProductId
                    description: >-
                      Stores the specific characteristics or properties of an
                      item in the FeatureSet.
                  FeatureSetTypeId:
                    type: number
                    nullable: true
                    description: Identifies the type of feature set in the database.
                  GlassUtility~EntityId:
                    type: number
                    nullable: true
                    description: >-
                      Represents the unique identifier for a specific utility
                      entity within the glass feature set.
                  id:
                    type: number
                    description: Unique identifier.
                  isInfo:
                    type: boolean
                    nullable: true
                    description: >-
                      Indicates whether the feature set contains informational
                      data or not.
                  isPerson:
                    type: boolean
                    nullable: true
                    description: >-
                      Indicates whether the feature set represents an individual
                      person or not.
                  name:
                    type: string
                    description: Name of featureSet.
                required:
                  - c_attributeField
                  - default~FeatureId
                  - descrip
                  - feature
                  - FeatureSetTypeId
                  - GlassUtility~EntityId
                  - id
                  - isInfo
                  - isPerson
                  - name
components:
  schemas:
    RequestBodySchema:
      type: object
      properties:
        advancedFilter:
          type: object
          properties:
            linkOperator:
              type: string
              enum:
                - AND
                - OR
              description: >-
                Logical operator for combining multiple `items`. Using `AND`
                will require all conditions to be true. Using `OR` will require
                at least one condition to be true.
            items:
              type: array
              items:
                type: object
                properties:
                  columnField:
                    type: string
                    description: Field name to filter by
                    example: nameFirst
                  operatorValue:
                    type: string
                    enum:
                      - contains
                      - endsWith
                      - equals
                      - greaterThan
                      - greaterThanOrEqualTo
                      - isEmpty
                      - isFalse
                      - isNotEmpty
                      - isTrue
                      - lessThan
                      - lessThanOrEqualTo
                      - listContains
                      - notEquals
                      - startsWith
                    description: Operator to use for the filter condition.
                  value:
                    type: string
                    description: Value to filter by.
                    example: John
                required:
                  - columnField
                  - operatorValue
                  - value
                additionalProperties: false
              description: Array of conditions to filter by.
          required:
            - linkOperator
            - items
          additionalProperties: false
          description: >-
            Complex filter configuration allowing for multiple conditions with
            AND/OR operators.
        return:
          type: array
          items:
            type: string
          description: Array of field names to return in the response.
          example:
            - id
            - firstName
            - lastName
        isAdditionalData:
          type: boolean
          default: false
          description: >-
            Set to `true` to merge requested fields with default response, or
            false/omit to return only requested fields plus `ID`.
        page:
          type: number
          default: 1
          description: Page number for pagination.
          example: 1
        pageSize:
          type: number
          default: 500
          description: Number of items per page. Defaults to 500.
          example: 20
        sortBy:
          type: string
          description: Field name to sort by.
          example: createdAt
        sortDirection:
          type: string
          enum:
            - asc
            - desc
          default: desc
          description: 'Sort direction: ascending (asc) or descending (desc).'
          example: desc
      additionalProperties:
        type: string
        description: >-
          Additional key-value pairs for simple filtering. Any field from the
          entity can be used as a filter key. E.g., `field=value` will return
          all records where that field matches the specified value.
        example: status=active
      description: >-
        Multiple query options are supported. You can build a complex query
        filling out the `advancedFilter` section. We also support "simple"
        queries which used by putting the key you want to filter by in the
        `query` section along with the value you want it to filter for. E.g.,
        `nameFirst=John` will return all persons with a first name of John.
      title: Query

````